package com.mortals.xhx.feign.req;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 工作流定义实体请求类
 *
 * @author: zxfei
 * @date: 2021/8/25 10:29
 */
@Getter
@Setter
public class DefinitionReq implements Serializable {

    /**
     * 业务系统标识
     */
    private String platformSn;
    /**
     * 流程部署ID
     */
    private String deployId;

    /**
     * 流程部署状态（1：激活，2：挂起）
     */
    private Integer state;


}
