package com.mortals.xhx.feign.req;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 工作流任务相关-请求参数
 *
 * @author: zxfei
 * @date: 2021/8/25 11:13
 */
@Getter
@Setter
public class FlowTaskReq implements Serializable {

    /**
     * 任务Id
     */
    private String taskId;


    /**
     * 用户Id
     */
    private String userId;


    /**
     * 任务意见
     */
    private String comment;


    /**
     * 流程实例Id
     */
    private String instanceId;


    /**
     * 节点
     */
    private String targetKey;


    /**
     * 流程变量信息
     */
    private Map<String, Object> values;


    /**
     * 审批人
     */
    private String assignee;


    /**
     * 候选人
     */
    private List<String> candidateUsers;


    /**
     * 候选审批组
     */
    private List<String> candidateGroups;
}
