const { defineConfig } = require("@vue/cli-service");

module.exports = defineConfig({
  transpileDependencies: true,
  productionSourceMap: false,
  // webpack 插件
  configureWebpack: {},
  transpileDependencies: true,
  // 打包输出目录
  outputDir: "dist",
  publicPath: "./",
  devServer: {
    proxy: {
      "/sampleform": {
        target: process.env.VUE_APP_API_BASE_URL,
        changeOrigin: true,
        secure: false,
        cookieDomainRewrite: "localhost",
      },
      "/file": {
        target: process.env.VUE_APP_API_BASE_URL,
        changeOrigin: true,
      },
    },
  },
});
