package com.mortals.xhx.common.formdesign;

import java.util.List;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class ListItem{

	@JSONField(name="showIndex")
	private Boolean showIndex;

	@JSONField(name="visible")
	private Boolean visible;

	@JSONField(name="multiCheck")
	private Boolean multiCheck;

	@JSONField(name="columns")
	private List<ColumnsItem> columns;

	@JSONField(name="buttonDel")
	private Boolean buttonDel;

	@JSONField(name="labelWidth")
	private Integer labelWidth;

	@JSONField(name="summary-text")
	private String summaryText;

	@JSONField(name="compName")
	private String compName;

	@JSONField(name="showLabel")
	private Boolean showLabel;

	@JSONField(name="show-summary")
	private Boolean showSummary;

	@JSONField(name="layout")
	private String layout;

	@JSONField(name="compType")
	private String compType;

	@JSONField(name="id")
	private String id;

	@JSONField(name="_id")
	private String _id;

	@JSONField(name="compIcon")
	private String compIcon;

	@JSONField(name="config")
	private Boolean config;

	@JSONField(name="ele")
	private String ele;

	@JSONField(name="buttonAdd")
	private Boolean buttonAdd;

	@JSONField(name="sum-text")
	private String sumText;

	@JSONField(name="format")
	private String format;

	@JSONField(name="lineColor")
	private String lineColor;

	@JSONField(name="label")
	private String label;

	@JSONField(name="displayValue")
	private Boolean displayValue;

	@JSONField(name="form")
	private Boolean form;

	@JSONField(name="background")
	private String background;

	@JSONField(name="viewType")
	private String viewType;

	@JSONField(name="width")
	private String width;

	@JSONField(name="fontSize")
	private Integer fontSize;



	@JSONField(name="span")
	private Integer span;

	@JSONField(name="height")
	private Integer height;

	@JSONField(name="content-position")
	private String contentPosition;

	@JSONField(name="text")
	private String text;

	@JSONField(name="icon")
	private String icon;

	@JSONField(name="type")
	private String type;

	@JSONField(name="loading")
	private Boolean loading;

	@JSONField(name="size")
	private String size;

	@JSONField(name="round")
	private Boolean round;

	@JSONField(name="plain")
	private Boolean plain;

	@JSONField(name="disabled")
	private Boolean disabled;

	@JSONField(name="circle")
	private Boolean circle;

	@JSONField(name="closable")
	private Boolean closable;

	@JSONField(name="center")
	private Boolean center;

	@JSONField(name="description")
	private String description;

	@JSONField(name="title")
	private String title;

	@JSONField(name="show-icon")
	private Boolean showIcon;

	@JSONField(name="effect")
	private String effect;

	@JSONField(name="close-text")
	private String closeText;

	@JSONField(name="color")
	private String color;

	@JSONField(name="show")
	private Boolean show;

	@JSONField(name="bold")
	private Integer bold;

	@JSONField(name="align")
	private String align;

	@JSONField(name="underline")
	private Boolean underline;

	@JSONField(name="target")
	private String target;

	@JSONField(name="href")
	private String href;

	@JSONField(name="colConf")
	private String colConf;

	@JSONField(name="required")
	private Boolean required;

	@JSONField(name="multi")
	private Boolean multi;

	@JSONField(name="dval")
	private String dval;

	@JSONField(name="dlabel")
	private String dlabel;

	@JSONField(name="action")
	private String action;

	@JSONField(name="gutter")
	private Integer gutter;

	@JSONField(name="list-type")
	private String listType;

	@JSONField(name="tips")
	private String tips;

	@JSONField(name="show-file-list")
	private Boolean showFileList;

	@JSONField(name="buttonText")
	private String buttonText;

	@JSONField(name="showTip")
	private Boolean showTip;

	@JSONField(name="multiple")
	private Boolean multiple;

	@JSONField(name="accept")
	private String accept;

	@JSONField(name="fileSize")
	private Integer fileSize;

	@JSONField(name="name")
	private String name;

	@JSONField(name="dataType")
	private String dataType;

	@JSONField(name="props")
	private Props props;

	@JSONField(name="options")
	private List<OptionsItem> options;

	@JSONField(name="placeholder")
	private String placeholder;

	@JSONField(name="china-area-data")
	private Boolean chinaAreaData;

	@JSONField(name="color-format")
	private String colorFormat;

	@JSONField(name="show-alpha")
	private Boolean showAlpha;

	@JSONField(name="predefine")
	private List<Object> predefine;

	@JSONField(name="validateMaxText")
	private Boolean validateMaxText;

	@JSONField(name="max")
	private Integer max;

	@JSONField(name="customRules")
	private List<RulesItem> customRules;

	@JSONField(name="picker-options")
	private PickerOptions pickerOptions;

	@JSONField(name="rules")
	private List<RulesItem> rules;

	@JSONField(name="readonly")
	private Boolean readonly;

	@JSONField(name="arrow-control")
	private Boolean arrowControl;

	@JSONField(name="is-range")
	private Boolean isRange;

	@JSONField(name="clearable")
	private Boolean clearable;

	@JSONField(name="range-separator")
	private String rangeSeparator;

	@JSONField(name="value-format")
	private String valueFormat;

	@JSONField(name="maxLength")
	private Integer maxLength;

	@JSONField(name="start-placeholder")
	private String startPlaceholder;

	@JSONField(name="end-placeholder")
	private String endPlaceholder;

	@JSONField(name="show-score")
	private Boolean showScore;

	@JSONField(name="allow-half")
	private Boolean allowHalf;

	@JSONField(name="show-stops")
	private Boolean showStops;

	@JSONField(name="range")
	private Boolean range;

	@JSONField(name="show-tooltip")
	private Boolean showTooltip;

	@JSONField(name="min")
	private Integer min;

	@JSONField(name="step")
	private Integer step;

	@JSONField(name="maxlength")
	private Integer maxlength;

	@JSONField(name="rows")
	private Integer rows;

	@JSONField(name="ruleError")
	private String ruleError;

	@JSONField(name="show-word-limit")
	private Boolean showWordLimit;

	@JSONField(name="status")
	private String status;

	@JSONField(name="step-strictly")
	private Boolean stepStrictly;

	@JSONField(name="precision")
	private Integer precision;

	@JSONField(name="controls-position")
	private String controlsPosition;

	@JSONField(name="regList")
	private List<Object> regList;

	@JSONField(name="inactive-color")
	private String inactiveColor;

	@JSONField(name="active-color")
	private String activeColor;

	@JSONField(name="active-value")
	private String activeValue;

	@JSONField(name="inactive-value")
	private String inactiveValue;

	@JSONField(name="vertical")
	private Boolean vertical;

	@JSONField(name="optionType")
	private String optionType;

	@JSONField(name="border")
	private Boolean border;

	@JSONField(name="filterable")
	private Boolean filterable;

	@JSONField(name="collapse-tags")
	private Boolean collapseTags;

	@JSONField(name="rulesType")
	private String rulesType;

	@JSONField(name="prepend")
	private String prepend;

	@JSONField(name="prefix-icon")
	private String prefixIcon;

	@JSONField(name="suffix-icon")
	private String suffixIcon;

	@JSONField(name="append")
	private String append;

	@JSONField(name="rowCount")
	private Integer rowCount;
}