package com.mortals.xhx.common.pdu.gen;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 配置
 *
 * @author: zxfei
 * @date: 2021/10/15 10:26
 */
@Data
public class Config {

    @JSONField(name = "formId")
    private int formId;

    @JSONField(name = "buttonText")
    private String buttonText;

    @JSONField(name = "defaultValue")
    private List<Object> defaultValue;

    @JSONField(name = "showTip")
    private boolean showTip;

    @JSONField(name = "document")
    private String document;

    @JSONField(name = "labelWidth")
    private Object labelWidth;

    @JSONField(name = "label")
    private String label;

    @JSONField(name = "showLabel")
    private Boolean showLabel;

    @JSONField(name = "required")
    private Boolean required;

    @JSONField(name = "renderKey")
    private String renderKey;

    @JSONField(name = "layout")
    private String layout;

    @JSONField(name = "tagIcon")
    private String tagIcon;

    @JSONField(name = "fileSize")
    private Integer fileSize;

    @JSONField(name = "changeTag")
    private Boolean changeTag;

    @JSONField(name = "sizeUnit")
    private String sizeUnit;

    @JSONField(name = "tag")
    private String tag;

    @JSONField(name = "regList")
    private List<Object> regList;

    @JSONField(name = "method")
    private String method;

    @JSONField(name = "dataConsumer")
    private String dataConsumer;

    @JSONField(name = "dataType")
    private String dataType;

    @JSONField(name = "url")
    private String url;

    @JSONField(name = "dataPath")
    private String dataPath;

    @JSONField(name = "border")
    private Boolean border;

    @JSONField(name = "optionType")
    private String optionType;

    @JSONField(name = "span")
    private Integer span;


    @JSONField(name = "gutter")
    private Integer gutter;

    @JSONField(name = "layoutTree")
    private Boolean layoutTree;

    @JSONField(name = "children")
    private List<ChildrenItem> children;

    @JSONField(name = "componentName")
    private String componentName;

}