package com.mortals.xhx.common.pdu.gen;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 属性域
 *
 * @author: zxfei
 * @date: 2021/10/15 10:25
 */
@Data
public class FieldsItem {

    @JSONField(name = "list-type")
    private String listType;

    @JSONField(name = "__config__")
    private Config config;

    @JSONField(name = "auto-upload")
    private Boolean autoUpload;

    @JSONField(name = "name")
    private String name;

    @JSONField(name = "multiple")
    private Boolean multiple;

    @JSONField(name = "__vModel__")
    private String vModel;

    @JSONField(name = "action")
    private String action;

    @JSONField(name = "disabled")
    private Boolean disabled;

    @JSONField(name = "__slot__")
    private Slot slot;

    @JSONField(name = "accept")
    private String accept;

    @JSONField(name = "active-text")
    private String activeText;

    @JSONField(name = "active-color")
    private Object activeColor;

    @JSONField(name = "inactive-text")
    private String inactiveText;

    @JSONField(name = "style")
    private Style style;

    @JSONField(name = "active-value")
    private Boolean activeValue;

    @JSONField(name = "inactive-value")
    private Boolean inactiveValue;

    @JSONField(name = "inactive-color")
    private Object inactiveColor;

    @JSONField(name = "show-text")
    private Boolean showText;

    @JSONField(name = "show-score")
    private Boolean showScore;

    @JSONField(name = "max")
    private Integer max;

    @JSONField(name = "allow-half")
    private Boolean allowHalf;

    @JSONField(name = "step-strictly")
    private Boolean stepStrictly;

    @JSONField(name = "step")
    private Integer step;

    @JSONField(name = "controls-position")
    private String controlsPosition;

    @JSONField(name = "placeholder")
    private String placeholder;

    @JSONField(name = "readonly")
    private Boolean readonly;

    @JSONField(name = "maxlength")
    private String maxlength;

    @JSONField(name = "show-word-limit")
    private Boolean showWordLimit;

    @JSONField(name = "type")
    private String type;

    @JSONField(name = "autosize")
    private Autosize autosize;

    @JSONField(name = "filterable")
    private Boolean filterable;

    @JSONField(name = "clearable")
    private Boolean clearable;

    @JSONField(name = "show-all-levels")
    private Boolean showAllLevels;

    @JSONField(name = "options")
    private List<OptionsItem> options;

    @JSONField(name = "separator")
    private String separator;

    @JSONField(name = "props")
    private Props props;

    @JSONField(name = "format")
    private String format;

    @JSONField(name = "value-format")
    private String valueFormat;

    @JSONField(name = "size")
    private String size;

    @JSONField(name = "prefix-icon")
    private String prefixIcon;

    @JSONField(name = "suffix-icon")
    private String suffixIcon;


    @JSONField(name = "round")
    private Boolean round;


    @JSONField(name = "plain")
    private Boolean plain;

    @JSONField(name = "icon")
    private String icon;


    @JSONField(name = "circle")
    private Boolean circle;


    @JSONField(name = "on")
    private On on;

    @JSONField(name = "justify")
    private String justify;

    @JSONField(name = "align")
    private String align;


    @JSONField(name = "range-separator")
    private String rangeSeparator;


    @JSONField(name = "start-placeholder")
    private String startPlaceholder;


    @JSONField(name = "end-placeholder")
    private String endPlaceholder;

}