package com.mortals.xhx.common.pdu.skin;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
/**
* 系统基础皮肤Pdu对象
*
* @author zxfei
* @date 2023-04-03
*/
@Data
public class SkinBasePdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 所属种类,来源种类
    */
    private Long categoryId;
    /**
    * 产品id
    */
    private Long productId;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * css模板合成后文件地址
    */
    private String cssFilePath;
    /**
    * 排序编号
    */
    private Integer sortNum;
    /**
    * 产品皮肤名称，唯一且不为空
    */
    private String name;
    /**
    * 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    */
    private String imageResolution;
    /**
    * 预览图片
    */
    private String previewImagePath;

public void initAttrValue(){

            this.categoryId = null;

            this.productId = null;

            this.productName = "";

            this.cssFilePath = "";

            this.sortNum = null;

            this.name = "";

            this.imageResolution = "1";

            this.previewImagePath = "";
    }
}