package com.mortals.xhx.feign.req;

import lombok.Data;

import java.util.List;

/**
 * 基础Query
 *
 * @author: zxfei
 * @date: 2021/8/24 20:42
 */
@Data
public class BaseQuery {
    /**
     * 业务平台标识（唯一）
     */
     private String platformSn;

    /**
     * 业务平台用户
     */
    private String userCode;

    /**
     * 流程实例ID
     */
    private String  processInstanceId;

    /**
     * 流程部署ID
     */
    private String  deployId;
    /**
     * 候选人
     */
    private List<String> candidateUsers;
    /**
     * 审批组
     */
    private List<String> candidateGroups;

}
