package com.mortals.xhx.common.formdesign;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class FormDesignConfig {

	@JSONField(name="formRef")
	private String formRef;

	@JSONField(name="gutter")
	private Integer gutter;

	@JSONField(name="size")
	private String size;

	@JSONField(name="formRules")
	private String formRules;

	@JSONField(name="labelPosition")
	private String labelPosition;

	@JSONField(name="dynamicTableAllowed")
	private Boolean dynamicTableAllowed;

	@JSONField(name="rules")
	private String rules;

	@JSONField(name="labelWidth")
	private Integer labelWidth;

	@JSONField(name="disabled")
	private Boolean disabled;

	@JSONField(name="formModel")
	private String formModel;

	@JSONField(name="version")
	private String version;

	public void initAttribute() {
		this.formRef = "elForm";
		this.formModel="form";
		this.rules="rules";
		this.size = "medium";
		this.labelPosition = "top";
		this.labelWidth = 120;
		this.formRules="rules";
		this.gutter=15;
		this.disabled = false;
		this.dynamicTableAllowed=true;
		this.version = "1.10";
	}

}