package com.mortals.xhx.common.pdu.gen;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 插槽
 *
 * @author: zxfei
 * @date: 2021/10/15 10:28
 */
@Data
public class Slot {


    @JSONField(name="default")
    private String jsonMemberDefault;

    @JSONField(name = "list-type")
    private Boolean listType;

    @JSONField(name = "options")
    private List<OptionsItem> options;

    @JSONField(name = "prepend")
    private String prepend;

    @JSONField(name = "append")
    private String append;
}