package com.mortals.xhx.common.pdu.genform;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.apache.poi.ss.formula.functions.T;

/**
 * @author: zxfei
 * @date: 2021/10/14 22:06
 * @description:
 **/
@Data
public class FieldPo {
    @JSONField(name = "__config__")
    private ConfigPo config;

    @JSONField(name = "__slot__")
    private BaseSlotPo<T> slot;

    private String placeholder;

    private StylePo style;

    private Boolean clearable;

    @JSONField(name = "prefix-icon")
    private String prefixIcon;

    @JSONField(name = "suffix-icon")
    private String suffixIcon;

    private String maxlength;

    @JSONField(name = "show-word-limit")
    private Boolean showWordLimit;

    private Boolean readonly;

    private Boolean disabled;

    @JSONField(name = "__vModel__")
    private String vModel;

}
